create_clock -period 10.000ns [get_ports clk_100]
create_clock -period 20.000ns [get_ports clk_50]
create_clock -period 20.000ns [get_ports clk_top1]
create_clock -period 20.000ns [get_ports clk_bot1]

# usb blasterii 25mhz
create_clock -name {altera_reserved_tck} -period 40 {altera_reserved_tck}
set_input_delay -clock altera_reserved_tck -clock_fall 3 [get_ports altera_reserved_tdi]
set_input_delay -clock altera_reserved_tck -clock_fall 3 [get_ports altera_reserved_tms]
set_output_delay -clock altera_reserved_tck -clock_fall 3 [get_ports altera_reserved_tdo]

derive_pll_clocks
derive_clock_uncertainty

# fpga io port constraints
set_false_path -from [get_ports {user_pb_fpga[0]}] -to *
set_false_path -from [get_ports {user_pb_fpga[1]}] -to *
set_false_path -from [get_ports {user_pb_fpga[2]}] -to *
set_false_path -from [get_ports {user_pb_fpga[3]}] -to *
set_false_path -from [get_ports {user_dipsw_fpga[0]}] -to *
set_false_path -from [get_ports {user_dipsw_fpga[1]}] -to *
set_false_path -from [get_ports {user_dipsw_fpga[2]}] -to *
set_false_path -from [get_ports {user_dipsw_fpga[3]}] -to *
set_false_path -from * -to [get_ports {user_led_fpga[0]}]
set_false_path -from * -to [get_ports {user_led_fpga[1]}]
set_false_path -from * -to [get_ports {user_led_fpga[2]}]
set_false_path -from * -to [get_ports {user_led_fpga[3]}]

# hps peripherals port false path
set_false_path -from * -to [get_ports {hps_emac1_inst_tx_clk}] 
set_false_path -from * -to [get_ports {hps_emac1_inst_txd0}] 
set_false_path -from * -to [get_ports {hps_emac1_inst_txd1}] 
set_false_path -from * -to [get_ports {hps_emac1_inst_txd2}] 
set_false_path -from * -to [get_ports {hps_emac1_inst_txd3}] 
set_false_path -from * -to [get_ports {hps_emac1_inst_mdc}] 
set_false_path -from * -to [get_ports {hps_emac1_inst_tx_ctl}] 
set_false_path -from * -to [get_ports {hps_qspi_inst_ss0}] 
set_false_path -from * -to [get_ports {hps_qspi_inst_clk}] 
set_false_path -from * -to [get_ports {hps_sdio_inst_clk}] 
set_false_path -from * -to [get_ports {hps_usb1_inst_stp}] 
set_false_path -from * -to [get_ports {hps_spim0_clk}] 
set_false_path -from * -to [get_ports {hps_spim0_mosi}] 
set_false_path -from * -to [get_ports {hps_spim0_ss0}] 

set_false_path -from * -to [get_ports {hps_spim1_clk}] 
set_false_path -from * -to [get_ports {hps_spim1_mosi}] 
set_false_path -from * -to [get_ports {hps_spim1_ss0}] 

set_false_path -from * -to [get_ports {hps_uart0_inst_tx}] 
#set_false_path -from * -to [get_ports {hps_uart0_inst_rx}]

set_false_path -from * -to [get_ports {hps_emac1_inst_mdio}] 
set_false_path -from * -to [get_ports {hps_qspi_inst_io0}] 
set_false_path -from * -to [get_ports {hps_qspi_inst_io1}] 
set_false_path -from * -to [get_ports {hps_qspi_inst_io2}] 
set_false_path -from * -to [get_ports {hps_qspi_inst_io3}] 
set_false_path -from * -to [get_ports {hps_sdio_inst_cmd}] 
set_false_path -from * -to [get_ports {hps_sdio_inst_d0}] 
set_false_path -from * -to [get_ports {hps_sdio_inst_d1}] 
set_false_path -from * -to [get_ports {hps_sdio_inst_d2}] 
set_false_path -from * -to [get_ports {hps_sdio_inst_d3}] 
set_false_path -from * -to [get_ports {hps_usb1_inst_d0}] 
set_false_path -from * -to [get_ports {hps_usb1_inst_d1}] 
set_false_path -from * -to [get_ports {hps_usb1_inst_d2}] 
set_false_path -from * -to [get_ports {hps_usb1_inst_d3}] 
set_false_path -from * -to [get_ports {hps_usb1_inst_d4}] 
set_false_path -from * -to [get_ports {hps_usb1_inst_d5}] 
set_false_path -from * -to [get_ports {hps_usb1_inst_d6}] 
set_false_path -from * -to [get_ports {hps_usb1_inst_d7}] 
set_false_path -from * -to [get_ports {hps_i2c1_inst_sda}] 
set_false_path -from * -to [get_ports {hps_i2c1_inst_scl}] 
set_false_path -from * -to [get_ports {hps_gpio_inst_gpio09}] 
set_false_path -from * -to [get_ports {hps_gpio_inst_gpio35}] 
set_false_path -from * -to [get_ports {hps_gpio_inst_gpio41}] 
set_false_path -from * -to [get_ports {hps_gpio_inst_gpio42}] 
set_false_path -from * -to [get_ports {hps_gpio_inst_gpio43}] 
set_false_path -from * -to [get_ports {hps_gpio_inst_gpio44}] 

set_false_path -from [get_ports {hps_emac1_inst_mdio}] -to *
set_false_path -from [get_ports {hps_qspi_inst_io0}] -to *
set_false_path -from [get_ports {hps_qspi_inst_io1}] -to *
set_false_path -from [get_ports {hps_qspi_inst_io2}] -to *
set_false_path -from [get_ports {hps_qspi_inst_io3}] -to *
set_false_path -from [get_ports {hps_sdio_inst_cmd}] -to *
set_false_path -from [get_ports {hps_sdio_inst_d0}] -to *
set_false_path -from [get_ports {hps_sdio_inst_d1}] -to *
set_false_path -from [get_ports {hps_sdio_inst_d2}] -to *
set_false_path -from [get_ports {hps_sdio_inst_d3}] -to *
set_false_path -from [get_ports {hps_usb1_inst_d0}] -to *
set_false_path -from [get_ports {hps_usb1_inst_d1}] -to *
set_false_path -from [get_ports {hps_usb1_inst_d2}] -to *
set_false_path -from [get_ports {hps_usb1_inst_d3}] -to *
set_false_path -from [get_ports {hps_usb1_inst_d4}] -to *
set_false_path -from [get_ports {hps_usb1_inst_d5}] -to *
set_false_path -from [get_ports {hps_usb1_inst_d6}] -to *
set_false_path -from [get_ports {hps_usb1_inst_d7}] -to *
set_false_path -from [get_ports {hps_i2c1_inst_sda}] -to *
set_false_path -from [get_ports {hps_i2c1_inst_scl}] -to *
set_false_path -from [get_ports {hps_gpio_inst_gpio09}] -to *
set_false_path -from [get_ports {hps_gpio_inst_gpio35}] -to *
set_false_path -from [get_ports {hps_gpio_inst_gpio41}] -to *
set_false_path -from [get_ports {hps_gpio_inst_gpio42}] -to *
set_false_path -from [get_ports {hps_gpio_inst_gpio43}] -to *
set_false_path -from [get_ports {hps_gpio_inst_gpio44}] -to *

set_false_path -from [get_ports {hps_emac1_inst_rx_ctl}] -to *
set_false_path -from [get_ports {hps_emac1_inst_rx_clk}] -to *
set_false_path -from [get_ports {hps_emac1_inst_rxd0}] -to *
set_false_path -from [get_ports {hps_emac1_inst_rxd1}] -to *
set_false_path -from [get_ports {hps_emac1_inst_rxd2}] -to *
set_false_path -from [get_ports {hps_emac1_inst_rxd3}] -to *
set_false_path -from [get_ports {hps_emac1_inst_clk}] -to *
set_false_path -from [get_ports {hps_emac1_inst_dir}] -to *
set_false_path -from [get_ports {hps_emac1_inst_nxt}] -to *
set_false_path -from [get_ports {hps_emac1_inst_miso}] -to *
set_false_path -from [get_ports {hps_emac1_inst_rx}] -to *
set_false_path -from [get_ports {hps_emac1_inst_rx}] -to *
